Debian Bug report logs - #565001
hylafax: ftbfs with gcc-4.5

version graph

Package: hylafax; Maintainer for hylafax is Giuseppe Sacco <eppesuig@debian.org>;

Reported by: Matthias Klose <doko@debian.org>

Date: Wed, 13 Jan 2010 01:08:05 UTC

Severity: serious

Tags: fixed-upstream, sid, wheezy

Found in version 2:6.0.3-5.1

Done: Giuseppe Sacco <eppesuig@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugs.hylafax.org/show_bug.cgi?id=924

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Giuseppe Sacco <eppesuig@debian.org>:
Bug#565001; Package hylafax. (Wed, 13 Jan 2010 01:08:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Giuseppe Sacco <eppesuig@debian.org>. (Wed, 13 Jan 2010 01:08:08 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: maintonly@bugs.debian.org
Subject: hylafax: ftbfs with gcc-4.5
Date: Wed, 13 Jan 2010 01:04:31 +0000
Package: hylafax
Version: 2:6.0.3-5.1
Severity: normal
Tags: sid
User: debian-gcc@lists.debian.org
Usertags: ftbfs-gcc-4.5

The package fails to build in a test rebuild on at least amd64 with
gcc-4.5/g++-4.5, but succeeds to build with gcc-4.4/g++-4.4.
For the compiler version used, see:
http://lists.debian.org/debian-devel/2010/01/msg00230.html

The full build log can be found at:
http://people.debian.org/~lucas/logs/2010/01/08b/hylafax_2:6.0.3-5.1_lsid64b.buildlog
The last lines of the build log are cwat the end of this report.

The reason of the build failure is likely in the package (compiler or
linker message found in the build log), if this turns out as a gcc bug,
please reassign to the gcc-4.5 package. If the build ends with a
message "confused by earlier errors, bailing out", please
ignore it for now; these compiler errors are filed separately.


[...]
make[4]: Leaving directory `/build/user-hylafax_6.0.3-5.1-amd64-kR0N7n/hylafax-6.0.3/libhylafax'
make[4]: Entering directory `/build/user-hylafax_6.0.3-5.1-amd64-kR0N7n/hylafax-6.0.3/libhylafax'
/usr/bin/g++        -D__ANSI_CPP__ -I. -I.. -I.././libhylafax -I.././libhylafax -I.././regex -I/usr/include  -g -fpic -g -O2  -c Array.c++
/usr/bin/g++        -D__ANSI_CPP__ -I. -I.. -I.././libhylafax -I.././libhylafax -I.././regex -I/usr/include  -g -fpic -g -O2  -c BoolArray.c++
/usr/bin/g++        -D__ANSI_CPP__ -I. -I.. -I.././libhylafax -I.././libhylafax -I.././regex -I/usr/include  -g -fpic -g -O2  -c Dictionary.c++
/usr/bin/g++        -D__ANSI_CPP__ -I. -I.. -I.././libhylafax -I.././libhylafax -I.././regex -I/usr/include  -g -fpic -g -O2  -c Obj.c++
/usr/bin/g++        -D__ANSI_CPP__ -I. -I.. -I.././libhylafax -I.././libhylafax -I.././regex -I/usr/include  -g -fpic -g -O2  -c PageSize.c++
/usr/bin/g++        -D__ANSI_CPP__ -I. -I.. -I.././libhylafax -I.././libhylafax -I.././regex -I/usr/include  -g -fpic -g -O2  -c Range.c++
/usr/bin/g++        -D__ANSI_CPP__ -I. -I.. -I.././libhylafax -I.././libhylafax -I.././regex -I/usr/include  -g -fpic -g -O2  -c RE.c++
/usr/bin/g++        -D__ANSI_CPP__ -I. -I.. -I.././libhylafax -I.././libhylafax -I.././regex -I/usr/include  -g -fpic -g -O2  -c REArray.c++
/usr/bin/g++        -D__ANSI_CPP__ -I. -I.. -I.././libhylafax -I.././libhylafax -I.././regex -I/usr/include  -g -fpic -g -O2  -c REDict.c++
/usr/bin/g++        -D__ANSI_CPP__ -I. -I.. -I.././libhylafax -I.././libhylafax -I.././regex -I/usr/include  -g -fpic -g -O2  -c StackBuffer.c++
/usr/bin/g++        -D__ANSI_CPP__ -I. -I.. -I.././libhylafax -I.././libhylafax -I.././regex -I/usr/include  -g -fpic -g -O2  -c Str.c++
/usr/bin/g++        -D__ANSI_CPP__ -I. -I.. -I.././libhylafax -I.././libhylafax -I.././regex -I/usr/include  -g -fpic -g -O2  -c StrArray.c++
/usr/bin/g++        -D__ANSI_CPP__ -I. -I.. -I.././libhylafax -I.././libhylafax -I.././regex -I/usr/include  -g -fpic -g -O2  -c StrDict.c++
/usr/bin/g++        -D__ANSI_CPP__ -I. -I.. -I.././libhylafax -I.././libhylafax -I.././regex -I/usr/include  -g -fpic -g -O2  -c Dispatcher.c++
In file included from Sys.h:34:0,
                 from Dispatcher.c++:27:
/usr/include/sys/stat.h:297:47: error: declaration of 'int fchmod(int, __mode_t) throw ()' throws different exceptions
../port.h:31:12: error: from previous declaration 'int fchmod(int, mode_t)'
make[4]: *** [Dispatcher.o] Error 1
make[4]: Leaving directory `/build/user-hylafax_6.0.3-5.1-amd64-kR0N7n/hylafax-6.0.3/libhylafax'
make[3]: *** [default] Error 2
make[3]: Leaving directory `/build/user-hylafax_6.0.3-5.1-amd64-kR0N7n/hylafax-6.0.3/libhylafax'
make[2]: *** [dirs] Error 2
make[2]: Leaving directory `/build/user-hylafax_6.0.3-5.1-amd64-kR0N7n/hylafax-6.0.3'
make[1]: *** [all] Error 2
make: *** [build-arch-stamp] Error 2
make[1]: Leaving directory `/build/user-hylafax_6.0.3-5.1-amd64-kR0N7n/hylafax-6.0.3'
dpkg-buildpackage: error: debian/rules build gave error exit status 2




Set Bug forwarded-to-address to 'http://bugs.hylafax.org/show_bug.cgi?id=924'. Request was from Giuseppe Sacco <giuseppe@eppesuigoccas.homedns.org> to control@bugs.debian.org. (Wed, 13 Jan 2010 09:00:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Sacco <eppesuig@debian.org>:
Bug#565001; Package hylafax. (Wed, 13 Jan 2010 15:54:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aidan Van Dyk <aidan@highrise.ca>:
Extra info received and forwarded to list. Copy sent to Giuseppe Sacco <eppesuig@debian.org>. (Wed, 13 Jan 2010 15:54:31 GMT) Full text and rfc822 format available.

Message #12 received at 565001@bugs.debian.org (full text, mbox):

From: Aidan Van Dyk <aidan@highrise.ca>
To: Matthias Klose <doko@debian.org>
Cc: Giuseppe Sacco <giuseppe@eppesuigoccas.homedns.org>, 565001@bugs.debian.org
Subject: Debian Bug #565001
Date: Wed, 13 Jan 2010 10:43:17 -0500
[Message part 1 (text/plain, inline)]
Mattias,

It looks like the development branch of GCC 4.5 has swithce a CPP
processor include file missing from just a wraning to an error.

The configure in HylaFAX is looking for the include files for the fchmod
declaration:
   $CXX -E t.c++ \
        | sed -e '/\/\*/,/\*\//d' -e 's;//.*$;;'
        | awk '{while($0~/[,(][ \t]*$/){printf"%s",$0;getline}print}' \
        | grep "fchmod[ ]*(.*)"

where t.c++ is (in this case):
  #include "unistd.h"
  #include "libc.h"
  #include "sys/stat.h"


Every other complier we've come across (GCC releases, Sun CC, Sco CC,
AIX CC, HUPX CC) issue pre-processor warnings on files not found (most
don't find "libc.h"), but none of them issue a fatal error that the GCC
HEAD branch is:
    t.c++:2:18: fatal error: libc.h: No such file or directory

For instance, any released GCC (4.4 and earlier) does:
    t.c++:2:18: error: libc.h: No such file or directory

But none of their pre-processors *stop* there, they finish including
sys/stat.h, which allows configure to see the fchmod declaration.  They
all exit with a non-zero exit, but all preprocess the rest of the input.

I'ld say this is a bug with GCC HEAD's pre-processor.

a.

-- 
Aidan Van Dyk                                             Create like a god,
aidan@highrise.ca                                       command like a king,
http://www.highrise.ca/                                   work like a slave.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Sacco <eppesuig@debian.org>:
Bug#565001; Package hylafax. (Thu, 04 Nov 2010 20:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Artur Rona <ari-tczew@tlen.pl>:
Extra info received and forwarded to list. Copy sent to Giuseppe Sacco <eppesuig@debian.org>. (Thu, 04 Nov 2010 20:57:06 GMT) Full text and rfc822 format available.

Message #17 received at 565001@bugs.debian.org (full text, mbox):

From: Artur Rona <ari-tczew@tlen.pl>
To: 565001@bugs.debian.org
Date: Thu, 04 Nov 2010 21:55:34 +0100
[Message part 1 (text/plain, inline)]
In Ubuntu, we've applied the attached patch to achieve the following:

  * debian/patches/901_fchmod-prototype.patch: glibc now
    includes an fchmod prototype which doesn't match hylafax's.
    (Closes: #565001)

We thought you might be interested in doing the same.
[901_fchmod-prototype.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Sacco <eppesuig@debian.org>:
Bug#565001; Package hylafax. (Thu, 04 Nov 2010 21:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aidan Van Dyk <aidan@highrise.ca>:
Extra info received and forwarded to list. Copy sent to Giuseppe Sacco <eppesuig@debian.org>. (Thu, 04 Nov 2010 21:03:03 GMT) Full text and rfc822 format available.

Message #22 received at 565001@bugs.debian.org (full text, mbox):

From: Aidan Van Dyk <aidan@highrise.ca>
To: Artur Rona <ari-tczew@tlen.pl>, 565001@bugs.debian.org
Cc: Patrice Fournier <patrice.fournier@ifax.com>
Subject: Re: Bug#565001:
Date: Thu, 4 Nov 2010 17:02:21 -0400
The proper fix is already in HylaFAX source:
    http://git.hylafax.org/HylaFAX?a=commitdiff;h=b0d873c950a72aa568d2fcfe7dbc8bb6e981c129

port.h shouldn't inlcude a declaration of fchmod if it's in the system.

On Thu, Nov 4, 2010 at 4:55 PM, Artur Rona <ari-tczew@tlen.pl> wrote:
> In Ubuntu, we've applied the attached patch to achieve the following:
>
>  * debian/patches/901_fchmod-prototype.patch: glibc now
>    includes an fchmod prototype which doesn't match hylafax's.
>    (Closes: #565001)
>
> We thought you might be interested in doing the same.
>



-- 
Aidan Van Dyk                                             Create like a god,
aidan@highrise.ca                                       command like a king,
http://www.highrise.ca/                                   work like a slave.




Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Sacco <eppesuig@debian.org>:
Bug#565001; Package hylafax. (Fri, 05 Nov 2010 05:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Sacco <giuseppe@eppesuigoccas.homedns.org>:
Extra info received and forwarded to list. Copy sent to Giuseppe Sacco <eppesuig@debian.org>. (Fri, 05 Nov 2010 05:48:03 GMT) Full text and rfc822 format available.

Message #27 received at 565001@bugs.debian.org (full text, mbox):

From: Giuseppe Sacco <giuseppe@eppesuigoccas.homedns.org>
To: Artur Rona <565001-submitter@bugs.debian.org>, 565001@bugs.debian.org
Subject: Re: Bug#565001:
Date: Fri, 05 Nov 2010 06:20:01 +0100
Hi Arthur,
I found the very same problem when all Debian packages have been
recompiled using gcc 4.5. My original report against hylafax bugzilla is
http://bugs.hylafax.org/show_bug.cgi?id=924. I am now using the latest
released hylafax source on both Debian and Ubuntu. This source does not
include the patch provided upstream, so the problem is still there, but
Debian still use gcc 4.4, while Ubuntu maverick switched to 4.5.

Please note that the package has been tuned to fit Debian squeeze
release, so gcc 4.4.

Whenever hylafax will release a new version, I will create a new package
and upload it to Debian. The package will then forward to Ubuntu and
will not need that patch anymore (since it should be included upstream.)

Bye,
Giuseppe





Message sent on to Matthias Klose <doko@debian.org>:
Bug#565001. (Fri, 05 Nov 2010 05:48:05 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Thu, 24 Feb 2011 14:39:21 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Mon, 28 Feb 2011 14:32:43 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Sun, 13 Mar 2011 17:27:15 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Dan Chen <seven.steps@gmail.com> to control@bugs.debian.org. (Sat, 05 Nov 2011 02:45:02 GMT) Full text and rfc822 format available.

Reply sent to Giuseppe Sacco <eppesuig@debian.org>:
You have taken responsibility. (Thu, 29 Dec 2011 07:45:03 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Thu, 29 Dec 2011 07:45:04 GMT) Full text and rfc822 format available.

Message #43 received at 565001-done@bugs.debian.org (full text, mbox):

From: Giuseppe Sacco <eppesuig@debian.org>
To: Artur Rona <ari-tczew@tlen.pl>, 565001-done@bugs.debian.org
Subject: Re: Bug#565001:
Date: Thu, 29 Dec 2011 08:03:44 +0100
Hi Arthur,

Il giorno gio, 04/11/2010 alle 21.55 +0100, Artur Rona ha scritto:
> In Ubuntu, we've applied the attached patch to achieve the following:
> 
>   * debian/patches/901_fchmod-prototype.patch: glibc now
>     includes an fchmod prototype which doesn't match hylafax's.
>     (Closes: #565001)
> 
> We thought you might be interested in doing the same.

The new Debian package solve this problem by using hylafax source more
recent than 6.0.5. The fix is already included in upstream source.

Bye,
Giuseppe





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 27 Jan 2012 07:32:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:38:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.